Bug 585336 - Review Request: perl-Sys-CPU - Getting CPU information
Review Request: perl-Sys-CPU - Getting CPU information
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 14:24 EDT by Shakthi Kannan
Modified: 2010-05-07 13:26 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-Sys-CPU-0.51-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-07 13:26:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2010-04-23 14:24:07 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/perl-Sys-CPU.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/perl-Sys-CPU-0.51-1.fc12.src.rpm
Description: Perl extension for getting CPU information.
Comment 1 Shakthi Kannan 2010-04-23 14:32:15 EDT
$ rpmlint ../SPECS/perl-Sys-CPU.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-Sys-CPU-0.51-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-Sys-CPU-0.51-1.fc12.i686.rpm perl-Sys-CPU-debuginfo-0.51-1.fc12.i686.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Successful Koji builds for F-12, F-13, F-14 and EL-5:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2134310
http://koji.fedoraproject.org/koji/taskinfo?taskID=2134315
http://koji.fedoraproject.org/koji/taskinfo?taskID=2134319
http://koji.fedoraproject.org/koji/taskinfo?taskID=2134318
Comment 2 Marcela Mašláňová 2010-04-25 10:46:18 EDT
Only one problem here. There is not specified license by upstream. Please tell me, where you find it or ask upstream.
Comment 3 Shakthi Kannan 2010-04-26 00:07:11 EDT
I have actually enquired the same to upstream, and awaiting a response. Will update as soon as I get a reply from upstream.

Thanks for your reply.
Comment 4 Marcela Mašláňová 2010-04-26 02:55:24 EDT
(In reply to comment #3)
> I have actually enquired the same to upstream, and awaiting a response. Will
> update as soon as I get a reply from upstream.
> 
> Thanks for your reply.    

Without license the review can't pass. Ping me when upstream answer.
Comment 5 Shakthi Kannan 2010-04-28 12:28:38 EDT
Haven't yet received a reply from upstream. In the CPU.xs file, it has been mentioned that:

  All code contained herein in free to use and edit under the same licence as Perl itself.

So, the GPL+ or Artistic License mentioned in the .spec file holds good?
Comment 6 Marcela Mašláňová 2010-04-29 12:33:28 EDT
And it also says they've copied part from http://search.cpan.org/~wsnyder/Unix-Processors-2.042/, which is proclaimed to be GPL+ or Artistic, but in code they mentioned GPLv3+ or Artistic 2.0. So now what? If you don't know about guideline for this case, then you should probably send an email to legal (fedora-legal-list@redhat.com)
Comment 7 Shakthi Kannan 2010-04-29 12:55:47 EDT
I was able to contact Marc Koderer at a different e-mail address (cpan AT marc  HYPHEN koderer dot de) and this was his reply:

"I am not the author - Matt (mzsanford at cpan DOT org) only transfered the package to me. But it must be released as "Perl licence". So far I understand the hint in CPU.xs.

@Matt: is SYS::CPU a dual licence code? I think I will add a header in the code if it's ok for you."

I am yet to hear from Matt on the above.
Comment 8 Marcela Mašláňová 2010-04-29 13:05:58 EDT
Well, I'd rather check with legal just to be sure. They've proclaimed they are using part of code from different module. For example perl is using unicode tables, so it must have also unicode license. I'm not sure about this.
Comment 9 Jason Tibbitts 2010-04-29 15:13:24 EDT
Easiest way to check with legal is to block FE-Legal.
Comment 10 Tom "spot" Callaway 2010-05-03 10:29:06 EDT
For this package, this is the appropriate entry:

# Some code was copied from Unix::Processors, which is LGPLv3 or Artistic 2.0
# The rest of the code is under the standard Perl license (GPL+ or Artistic)
License: (GPL+ or Artistic) and (LGPLv3 or Artistic 2.0)

Lifting FE-Legal.
Comment 11 Shakthi Kannan 2010-05-03 12:05:19 EDT
Thanks Tom "spot" Callaway for clearing out this one! Updated at:

SPEC: http://shakthimaan.fedorapeople.org/SPECS/perl-Sys-CPU.spec
SRPM: http://shakthimaan.fedorapeople.org/SRPMS/perl-Sys-CPU-0.51-2.fc12.src.rpm

$ rpmlint perl-Sys-CPU.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-Sys-CPU-0.51-2.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint perl-Sys-CPU-0.51-2.fc12.i686.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Koji builds for F-12, F-13, F-14, EL-5 are successful.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2158115
http://koji.fedoraproject.org/koji/taskinfo?taskID=2158120
http://koji.fedoraproject.org/koji/taskinfo?taskID=2158123
http://koji.fedoraproject.org/koji/taskinfo?taskID=2158126
Comment 12 Marcela Mašláňová 2010-05-04 03:28:14 EDT
OK vrpmlint on every package.
OK name of package accords to the Naming Guidelines.
OK spec file name match the base package %{name}.
OK package meet the Packaging Guidelines.
OK package has a good license.
OK spec file is written in American English.
OK spec file for the package must be legible.
OK The sources used to build the package must match the upstream source.
OK successful koji compilation.
OK correct BuildRequires, Requires.
OK proper use of %find_lang macro.
OK shared library must call ldconfig in %post and %postun.
OK relocatable package must state this fact.
OK package must own their directories.
OK permissions on files must be set properly.
OK %clean section with rm -rf %{buildroot}.
OK consistent use of macros.
OK package contains code, or permissable content.
OK large documentation go in a -doc subpackage.
OK %doc must not affect the runtime of the application.
OK header files must be in a -devel package.
OK static libraries must be in a -static package.
OK pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK library files with a suffix (.so) must go in -devel.
OK usually devel packages must require the base package.
OK Remove .la libtool archives.
OK GUI applications must include a %{name}.desktop file.
OK %install section starts with rm -rf %{buildroot}.

ACCEPT
Comment 13 Shakthi Kannan 2010-05-04 07:30:36 EDT
New Package CVS Request
=======================
Package Name: perl-Sys-CPU
Short Description: Perl extension for getting CPU information.
Owners: shakthimaan 
Branches: F-12 F-13 F-14 EL-5
Comment 14 Kevin Fenzi 2010-05-06 11:46:52 EDT
CVS done (by process-cvs-requests.py).

(We are not doing F14 branches yet, so left that out)
Comment 15 Shakthi Kannan 2010-05-06 12:01:41 EDT
What about EL-5?
Comment 16 Fedora Update System 2010-05-06 13:29:47 EDT
perl-Sys-CPU-0.51-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Sys-CPU-0.51-2.fc12
Comment 17 Fedora Update System 2010-05-07 13:26:17 EDT
perl-Sys-CPU-0.51-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.